<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    use SoftDeletes;
    protected $dates = ['deleted_at'];
    protected $fillable = [
        'name',
        'email',
        'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

    public function getFuncionario()
    {
        return $this->hasOne(Funcionario::class);

    }

    public function getDevices()
    {
        return $this->hasMany(Dispositivo::class);

    }
    public function getPessoa()
    {
        return $this->belongsTo(Pessoa::class, 'pessoa_id', 'id');
    }
    public function getArmazem()
    {
        return $this->hasMany( related: Armazem::class,foreignKey:'armazems.id',localKey:'id');

    }

}
